net.sf.okapi.common

## Interface ISkeleton

- All Known Implementing Classes:
    GenericSkeleton, ZipSkeleton

      public interface ISkeleton

  Represents a skeleton object. It is an object that is associated to a resource and carries data about the non extractable part of the resource. Skeleton objects are used by the `IFilterWriter` implementations to reconstruct the original file format.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISkeleton` | `clone()` Clones this skeleton object.
    `IResource` | `getParent()` Gets the parent resource of this skeleton.
    `void` | `setParent(IResource parent)` Sets a parent of this skeleton object.
    `java.lang.String` | `toString()` Gets a string representation of this skeleton object.

- - ### Method Detail

    - #### toString

          java.lang.String toString()

      Gets a string representation of this skeleton object. The value of the returned string depends on each implementation of class that implements ISkeleton. Different implementations may return strings that cannot be compared in a meaningful way.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string representation of this skeleton object, or null.

    - #### clone

          ISkeleton clone()

      Clones this skeleton object.
      Returns:
        a new skeleton object that is a copy of this one.

    - #### setParent

          void setParent(IResource parent)

      Sets a parent of this skeleton object. The parent is the resource that attaches this skeleton with SetSkeleton(). Normally the IResorce implementations set themselves as a parent for the skeleton.
      Parameters:
        `parent` - reference to the resource that attaches this skeleton object with IResource.setSkeleton()

    - #### getParent

          IResource getParent()

      Gets the parent resource of this skeleton.
      Returns:
        reference to the resource that attaches this skeleton object with IResource.setSkeleton()